[perl-Test-Pod] Update to 1.44

Paul Howarth pghmcfc at fedoraproject.org
Sat Jul 31 15:10:44 UTC 2010


commit cb5fa6b6e1937e7deb879477800b7b6b3dfcb3d4
Author: Paul Howarth <paul at city-fan.org>
Date:   Sat Jul 31 16:08:13 2010 +0100

    Update to 1.44
    
    - New upstream release 1.44:
      - use Module::Build::Compat's "traditional" configuration
      - loosen version requirements for Test::More and Pod::Simple
      - add File::Spec to the list of prereqs
    - Drop perl(Test::More) version requirement to 0.62
    - Drop perl(Pod::Simple) version requirement to 3.05

 .gitignore         |    2 +-
 perl-Test-Pod.spec |   20 ++++++++++++++------
 sources            |    2 +-
 3 files changed, 16 insertions(+), 8 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index e9a4480..99074df 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1 @@
-Test-Pod-1.42.tar.gz
+Test-Pod-1.44.tar.gz
diff --git a/perl-Test-Pod.spec b/perl-Test-Pod.spec
index fea5726..19fc6ab 100644
--- a/perl-Test-Pod.spec
+++ b/perl-Test-Pod.spec
@@ -1,6 +1,6 @@
 Name:           perl-Test-Pod
-Version:        1.42
-Release:        2%{?dist}
+Version:        1.44
+Release:        1%{?dist}
 Summary:        Test POD files for correctness
 
 Group:          Development/Libraries
@@ -12,13 +12,13 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  perl(File::Spec)
 BuildRequires:  perl(Module::Build) >= 0.30
-BuildRequires:  perl(Pod::Simple) >= 3.07
+BuildRequires:  perl(Pod::Simple) >= 3.05
 BuildRequires:  perl(Test::Builder::Tester) >= 1.02
-BuildRequires:  perl(Test::More) >= 0.70
+BuildRequires:  perl(Test::More) >= 0.62
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
-Requires:       perl(Pod::Simple) >= 3.07
+Requires:       perl(Pod::Simple) >= 3.05
 Requires:       perl(Test::Builder::Tester) >= 1.02
-Requires:       perl(Test::More) >= 0.70
+Requires:       perl(Test::More) >= 0.62
 
 %description
 Check POD files for errors or warnings in a test file, using Pod::Simple to do
@@ -57,6 +57,14 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Jul 31 2010 Paul Howarth <paul at city-fan.org> - 1.44-1
+- update to 1.44:
+  - use Module::Build::Compat's "traditional" configuration
+  - loosen version requirements for Test::More and Pod::Simple
+  - add File::Spec to the list of prereqs
+- drop perl(Test::More) version requirement to 0.62
+- drop perl(Pod::Simple) version requirement to 3.05
+
 * Fri May 07 2010 Marcela Maslanova <mmaslano at redhat.com> - 1.42-2
 - Mass rebuild with perl-5.12.0
 
diff --git a/sources b/sources
index 578e0b4..472cd25 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-9c9b7ff52ea339aecbf247cd573df238  Test-Pod-1.42.tar.gz
+02380af5539521524d5df17273a57ae7  Test-Pod-1.44.tar.gz


More information about the perl-devel mailing list